#
# Conditional build:
%bcond_with	tests		# do not perform "make test"
#
%define		pdir	Role
%define		pnam	Tiny
Summary:	Role::Tiny - Roles; like a nouvelle cuisine portion size slice of Moose
Summary(pl.UTF-8):	Role::Tiny - role; podobnie jak nowy kuzyn o ułamku rozmiaru Moose
Name:		perl-Role-Tiny
Version:	2.002004
Release:	1%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/H/HA/HAARG/Role-Tiny-%{version}.tar.gz
# Source0-md5:	9ee45591befa3d0b1094ac75d282b6ba
URL:		https://metacpan.org/release/Role-Tiny
%if "%(rpm -q perl-devel --qf '%{VERSION}')" < "5.10"
BuildRequires:	perl-MRO-Compat
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl(Exporter) >= 5.57
BuildRequires:	perl-Test-Fatal >= 0.003
BuildRequires:	perl-Test-Simple >= 0.96
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Role::Tiny is a minimalist role composition tool.

%description -l pl.UTF-8
Role::Tiny to minimalistyczne narzędzie do kompozycji ról.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Role/Tiny.pm
%{perl_vendorlib}/Role/Tiny
%{_mandir}/man3/Role::Tiny.3pm*
%{_mandir}/man3/Role::Tiny::With.3pm*
%changelog
* Mon Apr 01 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Role-Tiny.git;a=log;h=master

* Mon May 17 2021 Jakub Bogusz <qboosh@pld-linux.org> fcfeef4
- updated to 2.002004

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 6633fa6
- macros for perl autodeps

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 7e11cce
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 427bf2f
- up to 2.001004

* Sun Sep 30 2018 Jakub Bogusz <qboosh@pld-linux.org> 0bea84a
- updated to 2.000006

* Fri Nov 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 90f6a98
- updated to 2.000005

* Fri Jan 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 1aff69f
- updated to 2.000001
- pl

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b58d1bb
- up to 2.000000

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> cdf1a69
- new

